Update 3.0 to 3.1 database update error

Converting from other board software? Good decision! Need help? Have a question about a convertor? Wish to offer a convertor package? Post here.
Locked
devilrex
Registered User
Posts: 6
Joined: Thu Nov 19, 2009 7:27 pm
Contact:

Update 3.0 to 3.1 database update error

Post by devilrex » Sat Nov 28, 2015 10:04 pm

Hi all, "database update" failed with this error:


Fatal error: Uncaught exception 'Symfony\Component\DependencyInjection\Exception\ServiceNotFoundException' with message 'The service "console.command.cron.list" has a dependency on a non-existent service "cron.manager".' in /web/htdocs/www.mjet.it/home/phpBB3/vendor/symfony/ ... ass.php:59 Stack trace: #0 /web/htdocs/www.mjet.it/home/phpBB3/vendor/symfony/ ... ss.php(43): Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processReferences(Array) #1 /web/htdocs/www.mjet.it/home/phpBB3/vendor/symfony/ ... ss.php(37): Symfony\Component\DependencyInjection\Compiler\CheckExceptionOnInvalidReferenceBehaviorPass->processDefinition(Object(Symfony\Component\DependencyInjection\Def in /web/htdocs/www.mjet.it/home/phpBB3/vendor/symfony/ ... orPass.php on line 59

Any idea? :(

devilrex
Registered User
Posts: 6
Joined: Thu Nov 19, 2009 7:27 pm
Contact:

Re: Update 3.0 to 3.1 database update error

Post by devilrex » Sat Nov 28, 2015 10:21 pm

Maybe i forget this:

"phpBB 3.1 is not compatible with 3.0 and most of the previous files will need to be removed prior to upgrading to 3.1."

Restore and restart, all right.
Sorry :oops:

Locked

Return to “[3.1.x] Convertors”